# Spec CountingIdManager
IdManager that just counts the number of ids in use.

Extends | IdManager
All Extended | IdManager
Defined in | <seqan/graph_types.h>
Signature | `template <typename TSpec> class IdManager<void, TSpec>;`

## Template Parameters

`TSpec` | Specializing type.

## Interface Function Overview

### Interface Functions Inherited From IdManager

- `getIdLowerBound`
- `getIdUpperBound`
- `idCount`
- `idInUse`
- `obatinId`
- `releaseAll`
- `releaseId`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From IdManager

- `Spec`
- `Value`

#### Dox Sources

    /*!
     * @class CountingIdManager
     *
     * @extends IdManager
     *
     * @headerfile <seqan/graph_types.h>
     *
     * @brief IdManager that just counts the number of ids in use.
     *
     * @signature template <typename TSpec> class IdManager<void, TSpec>;
     *
     * @tparam TSpec Specializing type.
     */